LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05877Bug reports[All Projects] Survey takingpublic2012-03-05 17:282012-04-04 11:51
ReporterMissChocoe 
Assigned Tomagiclko 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
Product Version1.91+ 
Target Version1.92+Fixed in Version1.92+ 
Summary05877: Resume later doesn't work with a survey allowing public registration
DescriptionI created a survey that that with "Allow public registration?" to yes. I start completing it, go to second page and then select "Resume later". I get the message telling me it was saved and received the email with the link to keep going. When I use that link, the progress bar seem to know where I was on the survey, but instead of having the questions, I get this message: "There are no more questions. Please press the <Submit> button to finish this survey." If I click next (since there's more pages), the message stays.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID12416
Browser
Database & DB-VersionMySql
Operating System (Server)Windows
Webserver software & versionWamp
PHP Version5.2.11
Attached Files

- Relationships

-  Notes
User avatar (17739)
c_schmitz (administrator)
2012-03-06 02:05

Please update to the latest version (1.92) and report if the issue persists. If it does please attach your survey structure file (*.lss) and let us know exactly on which page you saved.
User avatar (17760)
MissChocoe (reporter)
2012-03-06 16:33

Ok I just tried it with 1.92. I don't have the issue but I don't have the same saving behavior. I used "Allow registration" Yes and "Enable token-based response persistence?": Yes. With 1.91, the latest option was preventing the "login" page to show, only an email was sent to user telling him his answers were save. Now I get the "login" or "registration" page. But the link do work.
User avatar (17761)
c_schmitz (administrator)
2012-03-06 16:46

hm, ok. The behaviour should be the same. Will look into it, thank you.
User avatar (18066)
magiclko (developer)
2012-03-23 14:58

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8018 [^]
User avatar (18072)
magiclko (developer)
2012-03-23 20:27

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8025 [^]
(18077)
user16774
2012-03-24 21:59

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8030 [^]
(18078)
user16774
2012-03-24 22:01

Fix committed to Yii branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8031 [^]
User avatar (18193)
c_schmitz (administrator)
2012-04-04 11:51

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=8092 [^]

- Related Changesets
LimeSurvey: master 3816326e
Timestamp: 2012-03-23 06:58:39
Author: magiclko
Committer: magiclko
Details ] Diff ]
Fixed issue 05877: Resume later doesn't work with a survey allowing public registration
mod - group.php Diff ] File ]
mod - save.php Diff ] File ]
LimeSurvey: master 1296664f
Timestamp: 2012-03-23 12:27:32
Author: magiclko
Committer: magiclko
Details ] Diff ]
Fixed issue 05877: Resume later doesn't work with a survey allowing public registration
mod - classes/expressions/LimeExpressionManager.php Diff ] File ]
mod - group.php Diff ] File ]
mod - save.php Diff ] File ]
LimeSurvey: master 1d66d91f
Timestamp: 2012-03-23 13:22:21
Author: magiclko
Committer: magiclko
Details ] Diff ]
A small fix for issue 05877
mod - group.php Diff ] File ]
LimeSurvey: Yii 7b200898
Timestamp: 2012-03-24 13:57:08
Author: user16774
Committer: Aaron Schmitz
Details ] Diff ]
Fixed issue 05877: all Lime replacement fields are broken.
mod - application/controllers/AdminController.php Diff ] File ]
mod - application/controllers/admin/limereplacementfields.php Diff ] File ]
mod - application/views/admin/limeReplacementFields_view.php Diff ] File ]
LimeSurvey: Yii 7cc6c89d
Timestamp: 2012-03-24 13:57:08
Author: user16774
Committer: Aaron Schmitz
Details ] Diff ]
Fixed issue 05877: all Lime replacement fields are broken.
mod - application/controllers/AdminController.php Diff ] File ]
mod - application/controllers/admin/limereplacementfields.php Diff ] File ]
mod - application/views/admin/limeReplacementFields_view.php Diff ] File ]
mod - scripts/admin/ckeditor.36/plugins/limereplacementfields/dialogs/limereplacementfields.js Diff ] File ]
LimeSurvey: master 80108943
Timestamp: 2012-04-04 02:03:23
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 05877: Resume later doesn't work with a survey allowing public registration
mod - group.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-03-05 17:28 MissChocoe New Issue
2012-03-06 02:05 c_schmitz Note Added: 17739
2012-03-06 02:05 c_schmitz Assigned To => c_schmitz
2012-03-06 02:05 c_schmitz Status new => feedback
2012-03-06 16:33 MissChocoe Note Added: 17760
2012-03-06 16:33 MissChocoe Status feedback => assigned
2012-03-06 16:46 c_schmitz Note Added: 17761
2012-03-12 18:04 c_schmitz Assigned To c_schmitz => magiclko
2012-03-12 18:04 c_schmitz Target Version => 1.92+
2012-03-23 14:58 magiclko Changeset attached => LimeSurvey master 3816326e
2012-03-23 14:58 magiclko Note Added: 18066
2012-03-23 14:58 magiclko Resolution open => fixed
2012-03-23 14:59 magiclko Status assigned => resolved
2012-03-23 14:59 magiclko Fixed in Version => 1.92+
2012-03-23 20:27 magiclko Changeset attached => LimeSurvey master 1296664f
2012-03-23 20:27 magiclko Note Added: 18072
2012-03-23 21:22 magiclko Changeset attached => LimeSurvey master 1d66d91f
2012-03-24 21:59 user16774 Changeset attached => LimeSurvey Yii 7b200898
2012-03-24 21:59 user16774 Note Added: 18077
2012-03-24 22:01 user16774 Changeset attached => LimeSurvey Yii 7cc6c89d
2012-03-24 22:01 user16774 Note Added: 18078
2012-03-30 15:00 c_schmitz Status resolved => closed
2012-04-04 11:51 c_schmitz Changeset attached => LimeSurvey master 80108943
2012-04-04 11:51 c_schmitz Note Added: 18193


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker